> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get minimal proximity state list

> Get basic state information about all proximity tags in organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/proximity/getMinimalProximityStateList
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/proximity/getMinimalProximityStateList:
    post:
      tags:
        - Proximity Webservice
      summary: Get minimal proximity state list
      description: Get basic state information about all proximity tags in organization
      operationId: getMinimalProximityStateList
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Proximity_GetMinimalProximityStatesWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Proximity_GetMinimalProximityStatesWSResponse
          description: OK
components:
  schemas:
    Proximity_GetMinimalProximityStatesWSRequest:
      type: object
      description: >-
        Request object for getting basic state information about all proximity
        tags in the organization.
    Proximity_GetMinimalProximityStatesWSResponse:
      type: object
      description: >-
        Response object containing basic state information about all proximity
        tags in the organization.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        proximityStates:
          type: array
          description: >-
            List of minimal proximity state information for all tags in the
            organization
          items:
            $ref: '#/components/schemas/Proximity_MinimalProximityStateType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Proximity_MinimalProximityStateType:
      type: object
      description: Minimal proximity state information for a proximity tag.
      properties:
        batteryPercent:
          type: integer
          format: int32
          description: Battery percentage of the proximity tag
          example: 75
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          description: Timestamp when the proximity tag was created in milliseconds
          example: 1640995200000
          nullable: true
        firmwareVersion:
          type: string
          description: Firmware version of the proximity tag
          example: 1.2.3
          nullable: true
        gpsLocation:
          $ref: '#/components/schemas/GeodeticCoordinates'
        health:
          $ref: '#/components/schemas/Proximity_ProximityHealthEnum'
        healthDetails:
          $ref: '#/components/schemas/Proximity_ProximityHealthDetailsEnum'
        hwVariation:
          $ref: '#/components/schemas/HardwareVariationEnum'
        imageUrl:
          type: string
          description: URL of the image for the proximity tag
          example: https://example.com/badge-image.jpg
          nullable: true
        lastSeenSec:
          type: integer
          format: int64
          description: Timestamp when the proximity tag was last seen in seconds
          example: 1640995200
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        name:
          type: string
          description: Name of the proximity tag
          example: Employee Badge 001
          nullable: true
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        serialNumber:
          type: string
          description: Serial number of the proximity tag
          example: PROX-001-ABC123
          nullable: true
        signalStrength:
          type: integer
          format: int32
          description: Signal strength of the proximity tag
          example: 85
          nullable: true
        status:
          $ref: '#/components/schemas/ProximityStatusEnum'
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        tagUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    GeodeticCoordinates:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/GpsError'
        floor:
          type: integer
          format: int32
          nullable: true
        lat:
          type: number
          format: double
          nullable: true
        lon:
          type: number
          format: double
          nullable: true
    Proximity_ProximityHealthEnum:
      type: string
      description: Health status of the proximity tag
      enum:
        - GREEN
    Proximity_ProximityHealthDetailsEnum:
      type: string
      description: Detailed health information for the proximity tag
      enum:
        - FIRMWARE_BEHIND
        - NONE
    HardwareVariationEnum:
      type: string
      enum:
        - RASPBERRY_PI_3
        - CAMERA_R1
        - CAMERA_R2
        - CAMERA_R2_LONG_RANGE
        - CAMERA_R2_180
        - CAMERA_R3
        - CAMERA_R4
        - CAMERA_R100
        - CAMERA_R120
        - CAMERA_R170
        - CAMERA_R200
        - CAMERA_R500
        - CAMERA_R510
        - CAMERA_R520
        - CAMERA_R600
        - SENSOR_ASSET_TAG_T1
        - SENSOR_DOOR_D1
        - SENSOR_DOOR_D20
        - SENSOR_ENVIRONMENTAL_E1
        - SENSOR_ENVIRONMENTAL_E15
        - SENSOR_ENVIRONMENTAL_E2
        - SENSOR_MOTION_M1
        - SENSOR_MOTION_M15
        - GATEWAY_A1
        - GATEWAY_A100
        - GATEWAY_ENVIRONMENTAL_E50
        - CAMERA_R220
        - CAMERA_R230
        - CAMERA_R36S
        - CAMERA_R410
        - CAMERA_R540
        - CAMERA_R545
        - BADGE_READER_DR1
        - BADGE_READER_DR40
        - BADGE_READER_DR20
        - DOOR_CONTROLLER_DC1
        - DOOR_CONTROLLER_DC20
        - DOOR_CONTROLLER_DC10
        - ETHERNET_TESTER_ET1
        - IO_BOARD_TB1
        - BLE_BUTTON_B10
        - BLE_BUTTON_B15
        - CAMERA_THIRD_PARTY_RELAY
        - CAMERA_THIRD_PARTY_NVR
        - NVR_N100
        - CAMERA_R130
        - NVR_N500
        - CAMERA_R150
        - ROBOT_RC1
        - CAMERA_R210
        - CAMERA_R650
        - UNSPECIFIED
    ProximityStatusEnum:
      type: string
      description: Filter events by proximity status
      enum:
        - ACTIVE
        - STATIONARY
        - OFFLINE
    GpsError:
      type: object
      properties:
        majorAxis:
          type: number
          format: double
          nullable: true
        minorAxis:
          type: number
          format: double
          nullable: true
        rotation:
          type: number
          format: double
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````